Subject: Re: [PATCH] packet: Allow packets with only a header (but no payload)

From: Sergei Shtylyov <[email-masked]>
Date: Sun, 22 Nov 2015 00:32:12 +0300

Hello.

On 11/21/2015 3:50 AM, Martin Blumenstingl wrote:

> 9c70776 added validation for the packet size in packet_snd. This change

    Please run your patch thru scripts/checkpatch.pl -- it now enforces 
certain commit citing style.

> enforced that every packet needs a header with at least hard_header_len
> bytes  and at least one byte payload.
>
> This fixes PPPoE connections which do not have a "Service" or
> "Host-Uniq" configured (which is violating the spec, but is still
> widely used in real-world setups). Those are currently failing with the
> following message: "pppd: packet size is too short (24 <= 24)"
>
> Signed-off-by: Martin Blumenstingl <[email-masked]>

[...]

MBR, Sergei